Subject: Re: Globbed directories in upload directive

From: "Geoff Terry" <[email-masked]>
Date: Tue, 19 Aug 1997 08:12:29 +1000

Ernest
Cant you just grant specific upload priviledge to the subdirs in question

eg

upload  /pub/usr/agents/bolton  *               no
upload          /pub/usr/agents/bolton  /public_html    no      bolton 
bolton
0644
upload          /pub/usr/agents/bolton  /edenses/public_html    yes    
edenses
bolton  0464
upload          /pub/usr/agents/bolton  /edenses/public_html/images     yes
edenses bolton  0464
upload          /pub/usr/agents/bolton  /retrasport/public_html yes    
retraspo
rt      bolton  0464
upload          /pub/usr/agents/bolton  /retrasport/public_html/images  yes
retrasport      bolton  0464     

This works for me.

Geofft

----------
> From: Ernest Mueller <[email-masked]>
> To: [email-masked]
> Subject: Globbed directories in upload directive
> Date: Tuesday, August 19, 1997 7:44 AM
> 
> I'm trying to set up the upload directive for some FTP servers I'm
> running.  I'd like the users to be able to upload only into one
> subdirectory (/pub) of a directory with lots of other subdirectories.  I
> would also like them to be able to upload into subdirectories of /pub
> (and subdirectories of subdirectories, etc).
> 
> So far the only way I have found to do this is to say
> 
> upload ftpdir * yes 
> upload ftpdir dir1 no
> upload ftpdir dir2 no
> ...
> upload ftpdir dir20 no
> 
> I'm sure there's a better way - but if I say
> upload ftpdir pub yes dirs
> 
> It doesn't get subdirectories, neither does 
> upload ftpdir pub* yes dirs
> 
> Or any other combinations I've been trying.
> 
> Can anyone tell me how to use the wuftpd globbing to do this?  I'm sure
> it's simple.  Upload anywhere in /pub, nowhere else.  Standard, right?
> 
> Thanks,
> Ernest
> -- 
> Ernest C. Mueller                                [email-masked]
> Webmaster                                        Phone: (901) 251-7000
> Towery Publishing                                http://www.towery.com

---

From: Ernest Mueller <[email-masked]>
Date: Mon, 18 Aug 1997 17:31:45 -0500

> upload    /pub/usr/agents/bolton  /public_html                 no   
> upload    /pub/usr/agents/bolton  /edenses/public_html         yes  ...
> upload    /pub/usr/agents/bolton  /edenses/public_html/images  yes ...

The problem with this is that it is undetermined what the subdirectories
will be - I have a server with many Web servers, and clients are allowed
to come in and alter their content.  We're doing this with virtual FTP
servers.  Every time a user adds a directory, they would have to come to
me and get another entry put into this file - and even just starting
out, we have hundreds of subdirectories in our dozen plus sites.   It
makes sites bigger than about 5 directories unmanageable.

Ernest